Qt 5.6 | Qt Location | Qt Location Mapbox Plugin

Qt 5.6.3 Reference Documentation

# Qt Location Mapbox Plugin

## Overview

This geo services plugin allows applications to access Mapbox location based services using the Qt Location API. The use of these services is governed by the Mapbox terms of service. An access token is required to use these services. Data is provided by OpenStreetMap and others.

The Mapbox geo services plugin can be loaded by using the plugin key "mapbox".

## Parameters

### Mandatory parameters

The following table lists mandatory parameters that must be passed to the Mapbox plugin.

Parameter | Description
--- | ---
mapbox.access_token | Access token provided by Mapbox.
mapbox.map_id | ID of the Mapbox map to show. An example ID is "examples.map-zr0njcqy".

The Mapbox geo services plugin requires an access token and map ID to use the Mapbox services. To create a Mapbox account visit https://www.mapbox.com/#signup.

### Optional parameters

The following table lists optional parameters that can be passed to the Mapbox plugin.

Parameter | Description
--- | ---
mapbox.format | Data format to download tiles in, available values are "png", "png32", "png64", "png128", "png256", (PNG with full, 32, 64, 128 and 256 color palette) "jpg70", "jpg80", "jpg90" (JPEG with 70%, 80% and 90% compression). Defaults to "png".
useragent | User agent string set when making network requests.